## gsmenc gsmenc |

## Types and Values

struct | GstGSMEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstGSMEnc

## Implemented Interfaces

GstGSMEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | gsm
author | Philippe Khalaf <burger@speedy.org>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)8000, channels=(int)1

name | src
direction | source
presence | always
details | audio/x-gsm, rate=(int)8000, channels=(int)1

## Functions

## Types and Values

### struct GstGSMEnc

    struct GstGSMEnc;